> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Bulk News Lookup

POST https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/news/bulk

Bulk lookup of news articles by query terms.

Accepts a JSON body with list of search queries, returns results for each.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/news/credit-analysis-news-bulk

## Response

### 200

Successful Response

- `results` (list of any, optional)
- `total` (integer, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Examples

**Request**

```json
{
  "ids": [
    "abbd580c2473"
  ]
}
```

**Response**

```json
{
  "results": [],
  "total": 0
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.post(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/news/bulk",
    headers=headers,
    json={"ids": ["abbd580c2473"]},
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/news/bulk`, {
    method: "POST",
    headers: { "Authorization": `Bearer ${API_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({"ids": ["abbd580c2473"]})
});
console.log(await response.json());
```